class ResNet(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  num_classes : int
  drop_rate : float
  grad_checkpointing : bool
  num_features : int
  conv1 : __torch__.torch.nn.modules.conv.Conv2d
  bn1 : __torch__.torch.nn.modules.batchnorm.BatchNorm2d
  act1 : __torch__.torch.nn.modules.activation.ReLU
  maxpool : __torch__.torch.nn.modules.pooling.MaxPool2d
  layer1 : __torch__.torch.nn.modules.container.___torch_mangle_6.Sequential
  layer2 : __torch__.torch.nn.modules.container.___torch_mangle_18.Sequential
  layer3 : __torch__.torch.nn.modules.container.___torch_mangle_29.Sequential
  layer4 : __torch__.torch.nn.modules.container.___torch_mangle_40.Sequential
  global_pool : __torch__.timm.layers.adaptive_avgmax_pool.SelectAdaptivePool2d
  fc : __torch__.torch.nn.modules.linear.Linear
  def forward(self: __torch__.timm.models.resnet.ResNet,
    x: Tensor) -> Tensor:
    x0 = (self).forward_features(x, )
    return (self).forward_head(x0, False, )
  def forward_features(self: __torch__.timm.models.resnet.ResNet,
    x: Tensor) -> Tensor:
    conv1 = self.conv1
    x1 = (conv1).forward(x, )
    bn1 = self.bn1
    x2 = (bn1).forward(x1, )
    act1 = self.act1
    x3 = (act1).forward(x2, )
    maxpool = self.maxpool
    x4 = (maxpool).forward(x3, )
    layer1 = self.layer1
    x5 = (layer1).forward(x4, )
    layer2 = self.layer2
    x6 = (layer2).forward(x5, )
    layer3 = self.layer3
    x7 = (layer3).forward(x6, )
    layer4 = self.layer4
    return (layer4).forward(x7, )
  def forward_head(self: __torch__.timm.models.resnet.ResNet,
    x: Tensor,
    pre_logits: bool=False) -> Tensor:
    _0 = __torch__.torch.nn.functional.dropout
    global_pool = self.global_pool
    x8 = (global_pool).forward(x, )
    drop_rate = self.drop_rate
    if bool(drop_rate):
      drop_rate0 = self.drop_rate
      training = self.training
      x10 = _0(x8, drop_rate0, training, False, )
      x9 = x10
    else:
      x9 = x8
    if pre_logits:
      _1 = x9
    else:
      fc = self.fc
      _1 = (fc).forward(x9, )
    return _1
class Bottleneck(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  se : NoneType
  stride : int
  dilation : int
  drop_path : NoneType
  conv1 : __torch__.torch.nn.modules.conv.___torch_mangle_0.Conv2d
  bn1 : __torch__.torch.nn.modules.batchnorm.BatchNorm2d
  act1 : __torch__.torch.nn.modules.activation.ReLU
  conv2 : __torch__.torch.nn.modules.conv.___torch_mangle_1.Conv2d
  bn2 : __torch__.torch.nn.modules.batchnorm.BatchNorm2d
  drop_block : __torch__.torch.nn.modules.linear.Identity
  act2 : __torch__.torch.nn.modules.activation.ReLU
  aa : __torch__.torch.nn.modules.linear.Identity
  conv3 : __torch__.torch.nn.modules.conv.___torch_mangle_2.Conv2d
  bn3 : __torch__.torch.nn.modules.batchnorm.___torch_mangle_3.BatchNorm2d
  act3 : __torch__.torch.nn.modules.activation.ReLU
  downsample : __torch__.torch.nn.modules.container.Sequential
  def forward(self: __torch__.timm.models.resnet.Bottleneck,
    x: Tensor) -> Tensor:
    conv1 = self.conv1
    x11 = (conv1).forward(x, )
    bn1 = self.bn1
    x12 = (bn1).forward(x11, )
    act1 = self.act1
    x13 = (act1).forward(x12, )
    conv2 = self.conv2
    x14 = (conv2).forward(x13, )
    bn2 = self.bn2
    x15 = (bn2).forward(x14, )
    drop_block = self.drop_block
    x16 = (drop_block).forward(x15, )
    act2 = self.act2
    x17 = (act2).forward(x16, )
    aa = self.aa
    x18 = (aa).forward(x17, )
    conv3 = self.conv3
    x19 = (conv3).forward(x18, )
    bn3 = self.bn3
    x20 = (bn3).forward(x19, )
    downsample = self.downsample
    shortcut = (downsample).forward(x, )
    x21 = torch.add_(x20, shortcut)
    act3 = self.act3
    return (act3).forward(x21, )
