class Bottleneck(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  se : NoneType
  downsample : NoneType
  stride : int
  dilation : int
  drop_path : NoneType
  conv1 : __torch__.torch.nn.modules.conv.___torch_mangle_4.Conv2d
  bn1 : __torch__.torch.nn.modules.batchnorm.BatchNorm2d
  act1 : __torch__.torch.nn.modules.activation.ReLU
  conv2 : __torch__.torch.nn.modules.conv.___torch_mangle_1.Conv2d
  bn2 : __torch__.torch.nn.modules.batchnorm.BatchNorm2d
  drop_block : __torch__.torch.nn.modules.linear.Identity
  act2 : __torch__.torch.nn.modules.activation.ReLU
  aa : __torch__.torch.nn.modules.linear.Identity
  conv3 : __torch__.torch.nn.modules.conv.___torch_mangle_2.Conv2d
  bn3 : __torch__.torch.nn.modules.batchnorm.___torch_mangle_3.BatchNorm2d
  act3 : __torch__.torch.nn.modules.activation.ReLU
  def forward(self: __torch__.timm.models.resnet.___torch_mangle_5.Bottleneck,
    x: Tensor) -> Tensor:
    conv1 = self.conv1
    x0 = (conv1).forward(x, )
    bn1 = self.bn1
    x1 = (bn1).forward(x0, )
    act1 = self.act1
    x2 = (act1).forward(x1, )
    conv2 = self.conv2
    x3 = (conv2).forward(x2, )
    bn2 = self.bn2
    x4 = (bn2).forward(x3, )
    drop_block = self.drop_block
    x5 = (drop_block).forward(x4, )
    act2 = self.act2
    x6 = (act2).forward(x5, )
    aa = self.aa
    x7 = (aa).forward(x6, )
    conv3 = self.conv3
    x8 = (conv3).forward(x7, )
    bn3 = self.bn3
    x9 = (bn3).forward(x8, )
    x10 = torch.add_(x9, x)
    act3 = self.act3
    return (act3).forward(x10, )
